Index: branches/PersistenceReintegration/HeuristicLab.DebugEngine/3.3/DebugEngine.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.DebugEngine/3.3/DebugEngine.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.DebugEngine/3.3/DebugEngine.cs	(revision 14927)
@@ -26,9 +26,9 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.DebugEngine {
 
-  [StorableClass]
+  [StorableType("671a070c-deca-445a-af74-2249f4825739")]
   [Item("Debug Engine", "Engine for debugging algorithms.")]
   public class DebugEngine : Executable, IEngine {
@@ -161,6 +161,5 @@
         while (skipStackOperations && !(CurrentOperation is IAtomicOperation) && CanContinue)
           ProcessNextOperation(true, cancellationTokenSource.Token);
-      }
-      catch (Exception ex) {
+      } catch (Exception ex) {
         OnExceptionOccurred(ex);
       }
@@ -182,10 +181,8 @@
         try {
           t.Wait();
-        }
-        catch (AggregateException ex) {
+        } catch (AggregateException ex) {
           try {
             ex.Flatten().Handle(x => x is OperationCanceledException);
-          }
-          catch (AggregateException remaining) {
+          } catch (AggregateException remaining) {
             if (remaining.InnerExceptions.Count == 1) OnExceptionOccurred(remaining.InnerExceptions[0]);
             else OnExceptionOccurred(remaining);
@@ -250,6 +247,5 @@
           ProcessNextOperation(false, cancellationToken);
         cancellationToken.ThrowIfCancellationRequested();
-      }
-      finally {
+      } finally {
         timer.Stop();
         ExecutionTime += DateTime.UtcNow - lastUpdateTime;
@@ -317,6 +313,5 @@
           }
           CurrentOperation = null;
-        }
-        catch (Exception ex) {
+        } catch (Exception ex) {
           if (ex is OperationCanceledException) throw ex;
           else throw new OperatorExecutionException(operation.Operator, ex);
Index: branches/PersistenceReintegration/HeuristicLab.DebugEngine/3.3/ExecutionStack.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.DebugEngine/3.3/ExecutionStack.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.DebugEngine/3.3/ExecutionStack.cs	(revision 14927)
@@ -25,9 +25,9 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.DebugEngine {
 
-  [StorableClass]
+  [StorableType("bbc83e7d-49eb-4323-935f-73f674d7aa4f")]
   public class ExecutionStack : ObservableList<IOperation>, IContent, IDeepCloneable {
 
Index: branches/PersistenceReintegration/HeuristicLab.DebugEngine/3.3/HeuristicLab.DebugEngine-3.3.csproj
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.DebugEngine/3.3/HeuristicLab.DebugEngine-3.3.csproj	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.DebugEngine/3.3/HeuristicLab.DebugEngine-3.3.csproj	(revision 14927)
@@ -129,4 +129,8 @@
       <Private>False</Private>
     </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.Persistence\3.3\HeuristicLab.Persistence-3.3.csproj">
+      <Project>{102BC7D3-0EF9-439C-8F6D-96FF0FDB8E1B}</Project>
+      <Name>HeuristicLab.Persistence-3.3</Name>
+    </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.Persistence\4.0\HeuristicLab.Persistence-4.0.csproj">
       <Project>{b1663091-8156-4deb-9e37-5b19810a4644}</Project>
Index: branches/PersistenceReintegration/HeuristicLab.DebugEngine/3.3/OperatorTrace.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.DebugEngine/3.3/OperatorTrace.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.DebugEngine/3.3/OperatorTrace.cs	(revision 14927)
@@ -26,9 +26,9 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.DebugEngine {
 
-  [StorableClass]
+  [StorableType("049f12b3-6bd2-4c47-bbbd-b05083d34d0a")]
   public class OperatorTrace : ObservableList<IOperator>, IContent, IDeepCloneable {
 
